wibble::exception::BadCastExt< From, To > Struct Template Reference

`#include <exception.h>`

Inheritance diagram for wibble::exception::BadCastExt< From, To >:
[legend]
Collaboration diagram for wibble::exception::BadCastExt< From, To >:
[legend]

## Public Member Functions

| BadCastExt (const std::string &error=std::string()) throw ()
| ~BadCastExt () throw ()
virtual std::string | typeinfo () const throw ()
Public Member Functions inherited from wibble::exception::BadCast
| BadCast (const std::string &context) throw ()
| ~BadCast () throw ()
virtual std::string | desc () const throw ()
| Get a string describing what happened that threw the exception. More...
Public Member Functions inherited from wibble::exception::Consistency
| Consistency (const std::string &context, const std::string &error=std::string()) throw ()
| ~Consistency () throw ()
virtual const char * | type () const throw ()
| Get a string tag identifying the exception type. More...
Public Member Functions inherited from wibble::exception::Generic
| Generic () throw ()
| Generic (const std::string &context) throw ()
virtual | ~Generic () throw ()
virtual const std::string & | fullInfo () const throw ()
| Format in a string all available information about the exception. More...
virtual const char * | what () const throw ()
Public Member Functions inherited from wibble::exception::Context
| Context () throw ()
| Context (const std::string &context) throw ()
void | addContext (const std::string &c) throw ()
std::string | formatContext () const throw ()
const std::vector< std::string > & | context () const throw ()

## Additional Inherited Members

Protected Attributes inherited from wibble::exception::Generic
std::string | m_formatted
Protected Attributes inherited from wibble::exception::Context
std::vector< std::string > | m_context

## Constructor & Destructor Documentation

## BadCastExt()

template<typename From , typename To >

wibble::exception::BadCastExt< From, To >::BadCastExt | ( | const std::string & | error = `std::string()` | ) |
throw | ( |
| ) |  |

inline

## ~BadCastExt()

template<typename From , typename To >

wibble::exception::BadCastExt< From, To >::~BadCastExt | ( |  | ) |
throw | ( |
| ) |  |

inline

## Member Function Documentation

## typeinfo()

template<typename From , typename To >

virtual std::string wibble::exception::BadCastExt< From, To >::typeinfo | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Reimplemented from wibble::exception::BadCast.

The documentation for this struct was generated from the following file:

- exception.h